# -*- coding: utf-8 -*-
"""
Created on Mon Jun 29 12:18:48 2020

@author: Angel Garcia Olaya PLG-UC3M
@version: 1.0
"""
import random
from carta import Carta


class Jugador:

    def __init__(self, nombre: str):
        self.nombre = nombre
        self.puntuacion = 0
        self.cartas = []

    def jugar(self) -> Carta:
        # Debe devolver una carta
        pos = random.randrange(len(self.cartas))
        carta = self.cartas[pos]
        # Borramos esa carta, también se puede hacer con remove(carta)
        del(self.cartas[pos])
        return carta

    def __str__(self):
        return self.nombre + ': ' + str(self.puntuacion) + ' puntos'
